Create budget entry

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/budget-entries

Create a new budget entry with data provided in the request body. JSON format is expected.

application/json

Body Required

  • budget_id string(uuid) Required
  • amount number

Responses

  • 201 application/json

    Budget entry created successfully

    Hide response attributes Show response attributes object
    • id string(uuid)
    • budget_id string(uuid)
    • amount number
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    Invalid data format or validation error

POST /data/budget-entries
curl \
 --request POST 'http://api.example.com/data/budget-entries' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"budget_id":"a24a6ea4-ce75-4665-a070-57453082c25","amount":1000.0}'
Request examples
{
  "budget_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "amount": 1000.0
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "budget_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "amount": 1000.0,
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}